# -*- coding: utf-8 -*-

from PyQt5.QtCore import QDir

from astra_csp_cryptopro.cprocsp_process import CprocspProcess
from astra_csp_cryptopro.cryptopro_settings import cryptopro_settings


class MergeCertificatesProcess(CprocspProcess):
    def __init__(self, bin_dir: QDir) -> None:
        super().__init__(bin_dir=bin_dir)
        self.__setup()

    def __setup(self) -> None:
        self.set_bin_name(cryptopro_settings.dictionary['merge_certificates_bin_name'])
        self.setArguments(cryptopro_settings.dictionary.get('merge_certificates_arguments', []))

    def add_silent_mode(self) -> None:
        arguments = self.arguments()
        arguments.append(cryptopro_settings.dictionary.get('silent_mode_argument', ''))
        self.setArguments(arguments)
